Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.s3.model
Class AmazonS3Exception

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.amazonaws.AmazonClientException
                      com.amazonaws.AmazonServiceException
                          com.amazonaws.services.s3.model.AmazonS3Exception

All Implemented Interfaces:
  Serializable

    public class AmazonS3Exception

extends AmazonServiceException

Extension of AmazonServiceException for errors reported by Amazon S3 while processing a request. In particular, this class provides access to S3's extended request ID which is required debugging information in the odd case that you need to contact Amazon about an issue where Amazon S3 is incorrectly handling a request.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.amazonaws.AmazonServiceException
`AmazonServiceException.ErrorType`

Constructor Summary
`AmazonS3Exception(String message)` Constructs a new AmazonS3Exception with the specified message.
`AmazonS3Exception(String message, Exception cause)` Constructs a new AmazonS3Exception with the specified message and root cause.

Method Summary
`String` | `getExtendedRequestId()` Returns S3's extended request ID that provides additional debugging information if you ever need to contact Amazon about S3 requests being incorrectly handled by the service.
`void` | `setExtendedRequestId(String extendedRequestId)` Sets S3's extended request ID.
`String` | `toString()` Extends the implementation from AmazonServiceException to include additional information on S3's extended request ID.

Methods inherited from class com.amazonaws.AmazonServiceException
`getErrorCode, getErrorType, getRequestId, getServiceName, getStatusCode, setErrorCode, setErrorType, setRequestId, setServiceName, setStatusCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AmazonS3Exception

    public AmazonS3Exception(String message)

  Constructs a new AmazonS3Exception with the specified message.

  Parameters:
    `message` - The error message describing why this exception was thrown.

### AmazonS3Exception

    public AmazonS3Exception(String message,
                             Exception cause)

  Constructs a new AmazonS3Exception with the specified message and root cause.

  Parameters:
    `message` - The error message describing why this exception was thrown.
    `cause` - The root exception that caused this exception to be thrown.

Method Detail

### getExtendedRequestId

    public String getExtendedRequestId()

  Returns S3's extended request ID that provides additional debugging information if you ever need to contact Amazon about S3 requests being incorrectly handled by the service.

  Returns:
    S3's extended request ID.

### setExtendedRequestId

    public void setExtendedRequestId(String extendedRequestId)

  Sets S3's extended request ID.

  Parameters:
    `extendedRequestId` - S3's extended request ID.

### toString

    public String toString()

  Extends the implementation from AmazonServiceException to include additional information on S3's extended request ID.

  Overrides:
    `toString` in class `AmazonServiceException`
  See Also:
    `Throwable.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.